Subject: Re: linux-next: manual merge of the creds tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 29 Dec 2008 15:06:45 +1100

Hi David,

On Thu, 30 Oct 2008 15:47:41 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the creds tree got conflicts in
> fs/xfs/linux-2.6/xfs_cred.h, fs/xfs/linux-2.6/xfs_globals.h and
> fs/xfs/xfs_vnodeops.h between commit
> 959f0f5b48d25a478694e04d024cd1ca681ea4bf ("[XFS] kill sys_cred") from the
> xfs tree and commit 3634a8a33b2cd7296e265d01d606b58c22b6a557 ("CRED:
> Separate task security context from task_struct") from the creds tree.
> 
> The former mostly removed what the latter changed.  I fixed it up (see
> below - I just removed the "extern cred_t *sys_cred;" from xfs_globals.h
> and the cred_t arguments to xfs_setattr and xfs_change_file_space in
> xfs_vnodeops.h) and can carry the fix.

These conflicts are now between the xfs tree and Linus' tree and so could
be sorted out by merging Linus' tree into the xfs tree before asking
Linus to pull the xfs tree.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/